# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Attributes | List of all members
dirac::ParseParams Class Reference

Parameters relating to the complexity of encoder/decoder.

`#include <common.h>`

## Public Member Functions
| ParseParams ()
| Default constructor. More...
unsigned int | MajorVersion () const
| Get the major version. More...
unsigned int | MinorVersion () const
| Get the minor version. More...
unsigned int | Profile () const
| Get the Profile. More...
unsigned int | Level () const
| Get the Level. More...
void | SetMajorVersion (unsigned int major_ver)
| Set the major version. More...
void | SetMinorVersion (unsigned int minor_ver)
| Set the minor version. More...
void | SetProfile (unsigned int profile)
| Set the Profile. More...
void | SetLevel (unsigned int level)
| Set the Level. More...

## Private Attributes
unsigned int | m_major_ver
| Major Version. More...
unsigned int | m_minor_ver
| Minor Version. More...
unsigned int | m_profile
| Profile. More...
unsigned int | m_level
| Level. More...

## Constructor & Destructor Documentation

## ◆ ParseParams()

dirac::ParseParams::ParseParams | ( |  | ) |

## Member Function Documentation

## ◆ Level()

unsigned int dirac::ParseParams::Level | ( |  | ) | const
| inline

References m_level.

## ◆ MajorVersion()

unsigned int dirac::ParseParams::MajorVersion | ( |  | ) | const
| inline

References m_major_ver.

## ◆ MinorVersion()

unsigned int dirac::ParseParams::MinorVersion | ( |  | ) | const
| inline

References m_minor_ver.

## ◆ Profile()

unsigned int dirac::ParseParams::Profile | ( |  | ) | const
| inline

References m_profile.

## ◆ SetLevel()

void dirac::ParseParams::SetLevel | ( | unsigned int | level | ) |
| inline

References m_level.

## ◆ SetMajorVersion()

void dirac::ParseParams::SetMajorVersion | ( | unsigned int | major_ver | ) |
| inline

References m_major_ver.

## ◆ SetMinorVersion()

void dirac::ParseParams::SetMinorVersion | ( | unsigned int | minor_ver | ) |
| inline

References m_minor_ver.

## ◆ SetProfile()

void dirac::ParseParams::SetProfile | ( | unsigned int | profile | ) |
| inline

References m_profile.

## Member Data Documentation

## ◆ m_level

unsigned int dirac::ParseParams::m_level
| private

Referenced by Level(), and SetLevel().

## ◆ m_major_ver

unsigned int dirac::ParseParams::m_major_ver
| private

Referenced by MajorVersion(), and SetMajorVersion().

## ◆ m_minor_ver

unsigned int dirac::ParseParams::m_minor_ver
| private

Referenced by MinorVersion(), and SetMinorVersion().

## ◆ m_profile

unsigned int dirac::ParseParams::m_profile
| private

Referenced by Profile(), and SetProfile().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.